Buy HyJavaCharts Library

the java api for highcharts

Requirements

  • A commercial or free Non-commercial license is required to use the Highcharts JavaScript charting library. Please refer to the Highcharts license page for further details.

Available HyJavaCharts Library Downloads

HyJavaCharts v10.1.0
HyJavaCharts Library v10.1.0 for Highcharts v10.
This version of the library matches the Highcharts v10.1.0 release and API.
Includes the full API documentation.
The download contains the following: HyJavaCharts-10.1.0.jar + HyJavaCharts-10.1.0-javadoc.jar
No. of developer licenses:

HyJavaCharts v9.3.3
HyJavaCharts Library v9.3.3 for Highcharts v9.
This version of the library matches the Highcharts v9.3.3 release and API.
Includes the full API documentation.
The download contains the following: HyJavaCharts-9.3.3.jar + HyJavaCharts-9.3.3-javadoc.jar
No. of developer licenses:

HyJavaCharts v8.2.2
HyJavaCharts Library v8.2.2 for Highcharts v8.
This version of the library matches the Highcharts v8.2.2 release and API.
Includes the full API documentation.
The download contains the following: HyJavaCharts-8.2.2.jar + HyJavaCharts-8.2.2-javadoc.jar
No. of developer licenses:

HyJavaCharts v7.2.1
HyJavaCharts Library v7.2.1 for Highcharts v7.
This version of the library matches the Highcharts v7.2.1 release and API.
Includes the full API documentation.
The download contains the following: HyJavaCharts-7.2.1.jar + HyJavaCharts-7.2.1-javadoc.jar
No. of developer licenses:

HyJavaCharts v6.2.0
HyJavaCharts Library v6.2.0 for Highcharts v6.
This version of the library matches the Highcharts v6.2.0 release and API.
Includes the full API documentation.
The download contains the following: HyJavaCharts-6.2.0.jar + HyJavaCharts-6.2.0-javadoc.jar
No. of developer licenses:

HyJavaCharts v5.0.14
HyJavaCharts Library v5.0.14 for Highcharts v5.
This version of the library matches the Highcharts v5.0.14 release and API.
Includes the full API documentation.
The download contains the following: HyJavaCharts-5.0.14.jar + HyJavaCharts-5.0.14-javadoc.jar
No. of developer licenses:

The Java API’s fully support all chart types and chart options in Highcharts v5.x, v6.x, v7.x, v8.x, v9.x;  Highcharts Stock v8.x, v9.x and ApexCharts v3.x.


Current versions supported are:

HyJavaCharts

HyJavaStock

HyJavaApex

Start the HyJavaCharts demo Java web application


Start the HyJavaStock demo Java web application


Start the HyJavaApex demo Java web application


Start the HyJavaImages demo Java web application